load_bmp_pf(3)

NAME
load_bmp_pf - Packfile version of load_bmp. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *load_bmp_pf(PACKFILE *f, RGB *pal);

DESCRIPTION
A version of load_bmp() which reads from a packfile. Example:
   PACKFILE *packfile;
   BITMAP *bmp;

   packfile = pack_fopen("mybitmap.bmp", F_READ);
   if (!packfile)
      abort_on_error("Couldn't open mybitmap.bmp");

   bmp = load_bmp_pf(packfile, pal);
   if (!bmp)
      abort_on_error("Error loading mybitmap.bmp");

RETURN VALUE
Returns a pointer to the bitmap or NULL on error. Remember that you are responsible for destroying the bitmap when you are finished with it to avoid memory leaks.

SEE ALSO
load_bmp(3), expackf(3)